package com.gic.haoban.manage.service.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.service.dao.mapper.WxEnterpriseRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;

@Service
public class WxEnterpriseRelatedApiServiceImpl implements WxEnterpriseRelatedApiService {
	private WxEnterpriseRelatedMapper wxEnterpriseRelatedMapper;
	@Override
	public List<EnterpriseDetailDTO> listEnterpriseByWxEnterpriseId(
			String wxEnterpriseId) {
		
		List<TabHaobanWxEnterpriseRelated> relatedList = wxEnterpriseRelatedMapper.listByWxenterpriseId(wxEnterpriseId);
		List<EnterpriseDetailDTO> result = EntityUtil.changeEntityListByJSON(EnterpriseDetailDTO.class, relatedList);
		//TODO 调熊大接口，获取nodeCount
		return result;
	}

}
