package com.gic.haoban.manage.web.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RestController
public class WxEnterpriseController extends WebBaseController{
	@Autowired
	private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;
	@RequestMapping("wx-enterprise-list")
	public HaobanResponse wxEnterpriseList() {
		String wxEnterpriseId = "123456";
		List<EnterpriseDetailDTO> list = wxEnterpriseRelatedApiService.listEnterpriseByWxEnterpriseId(wxEnterpriseId);
		return resultResponse(HaoBanErrCode.ERR_1, list);
 
	}

}
